<div class="sidebar-view-subreddit">
  <div style="color: black; font-weight: bold">Browse Subreddits</div>
  <hr/>
  <span *ngFor="let subreddit of subreddits">
        <span class="subreddit-text"><a href="/view-subreddit/{{subreddit.id}}">{{subreddit.name}}</a></span>
        <hr/>
    </span>
  <div *ngIf="displayViewAll" style="text-align: center">
    <a routerLink="/list-subreddits" style="font-weight: bold">View All</a>
  </div>
</div>
